package com.example.cowicejnipodstawa;

import static android.widget.Toast.*;

import androidx.appcompat.app.AppCompatActivity;

import android.content.SharedPreferences;
import android.view.View;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.TextView;
import android.os.Bundle;
import android.widget.Toast;

import org.w3c.dom.Text;

public class Profile extends AppCompatActivity {
    private SharedPreferences sharedPreferences;
    private SharedPreferences.Editor editor;
    public int ilosc_wykonanych;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_profile);
        sharedPreferences = getSharedPreferences("data_app_CWNP", MODE_PRIVATE);
        editor = sharedPreferences.edit();
    }

    @Override
    protected void onResume(){
        super.onResume();
        this.ilosc_wykonanych = sharedPreferences.getInt("ilosc_wykonanych", 0);
        TextView tytul = findViewById(R.id.textView2);
        if (this.ilosc_wykonanych < 5)
        {
            Toast.makeText(this, "Staraj się, a będziesz mistrzem!!!", Toast.LENGTH_LONG).show();
            tytul.setText("Junior\uD83E\uDD16");
        }
        else if (this.ilosc_wykonanych >= 5 && this.ilosc_wykonanych <= 10)
        {
            Toast.makeText(this, "WOW, już Senior!?", Toast.LENGTH_LONG).show();
            tytul.setText("Seniorツ");
        }
        else
        {
            Toast.makeText(this, "Jedyne co możemy zrobić to ukłon w twoją stronę, MISTRZU", Toast.LENGTH_LONG).show();
            tytul.setText("Mistrz✨");
        }
        TextView text = findViewById(R.id.textView);
        text.setText(sharedPreferences.getString("name", "Nick"));
    }
    @Override
    protected void onPause(){
        super.onPause();
        editor.commit();
    }

    public void set_name(View view)
    {
        EditText name = findViewById(R.id.editTextText);
        String name_1 = name.getText().toString();
        String komunikat = "Nick nie moze zawierac wiecej niz 9 znakow";
        int liczba = name_1.length();
        if(liczba>9)
        {
            Toast.makeText(this, komunikat, LENGTH_SHORT).show();
        }
        else{
            editor.putString("name", name_1);
            TextView user = findViewById(R.id.textView);
            user.setText(name_1);
        }
    }
}