package com.example.cowicejnipodstawa;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.View;
import android.widget.ProgressBar;
import android.widget.Button;

public class Settings extends AppCompatActivity {
    private SharedPreferences sharedPreferences;
    private SharedPreferences.Editor editor;

    public int ilosc_zadan;
    public ProgressBar pr;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_settings);
        pr = findViewById(R.id.progressBar1);
        sharedPreferences = getSharedPreferences("data_app_CWNP", MODE_PRIVATE);
        editor = sharedPreferences.edit();
        this.ilosc_zadan = sharedPreferences.getInt("ilosc_wykonanych", 0);
        pr.setMin(0);
        pr.setMax(5);
    }
    @Override
    protected void onResume(){
        super.onResume();
        this.ilosc_zadan = sharedPreferences.getInt("ilosc_wykonanych", 0);
        pr.setProgress(this.ilosc_zadan);
    }
    public void reset(View view)
    {
        Intent intent = new Intent(this, MainActivity.class);
        startActivity(intent);
        editor.clear();
        editor.commit();
    }
}